com.smartgwt.client.types

## Enum LogPriority

- java.lang.Object
- - java.lang.Enum<LogPriority>
  - - com.smartgwt.client.types.LogPriority

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<LogPriority>

      public enum LogPriority
      extends java.lang.Enum<LogPriority>
      implements ValueEnum

  Priority levels for log messages

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEBUG` diagnostics for developers
    `ERROR` error, may be recoverable
    `FATAL` unrecoverable error
    `INFO` significant events in normal operation
    `WARN` apparent problem, misused API, partial result

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static LogPriority` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LogPriority[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FATAL

          public static final LogPriority FATAL

      unrecoverable error

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "fatal".

    - #### ERROR

          public static final LogPriority ERROR

      error, may be recoverable

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "error".

    - #### WARN

          public static final LogPriority WARN

      apparent problem, misused API, partial result

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "warn".

    - #### INFO

          public static final LogPriority INFO

      significant events in normal operation

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "info".

    - #### DEBUG

          public static final LogPriority DEBUG

      diagnostics for developers

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "debug".

  - ### Method Detail

    - #### values

          public static LogPriority[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LogPriority c : LogPriority.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LogPriority valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`